#if !defined(AFX_GRAPHVIEW1_H__A80735F6_6C98_11D3_9C1B_00609712FBEF__INCLUDED_)
#define AFX_GRAPHVIEW1_H__A80735F6_6C98_11D3_9C1B_00609712FBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GraphView1.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGraphView1 view

class CGraphView1 : public CView
{
protected:
	CGraphView1();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CGraphView1)

// Attributes
public:
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphView1)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:

	virtual ~CGraphView1();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CGraphView1)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRAPHVIEW1_H__A80735F6_6C98_11D3_9C1B_00609712FBEF__INCLUDED_)
